Item Logo
Wms api3pl referenceAdjust api

Adjust Inventory Property

Adjust Inventory Property API

Adjust Inventory Property API is used in Warehouse Management System to modify specific properties or attributes of an inventor item without changing its quantity. This article introduces the general Adjust Inventory Property API for easily understanding and applying this API.

Introduction

Adjust Inventory Property API ensures that all item attributes are current, helping in warehouse organization, categorization and reporting. It also helps in ensuring tat items are easily searchable and identifiable based on their updated attributes.

API Request

API: POST /edi/3pl/adjust/inventory-adjust-property Body Request:

Body Parameter

Required

Description

Note

CompanyID

Y

Company ID

"LT"

CustomerID

Y

Customer ID

"AUKINT0001"

FacilityID

Y

Facility ID

"889"

LP

Y

LP ID<br />* LP and Location should not be both empty

"ILP-1000011"

Location

Y

Location<br />* LP and Location should not be both empty

"01.001.002.3"

Status

N

Inventory Status

[<br/> "AVAILABLE"<br/> "ON_HOLD"<br/>]

Title

N

Item Title


GoodsType

N

Item Goods Type

[<br/> "GOOD"<br/> "DAMAGE"<br/>]

LotNo

N

Item Lot Number


ExpirationDate

N

Item Expiration Date

2023-01-01T00:00:00-07:00

MfgDate

N

Item MFG Date

2023-01-01T00:00:00-07:00

ShelfLifeDate

N

Item Shelf Life Date

2023-01-01T00:00:00-07:00

SN

N

Item SN


ItemID

Y

Item ID

"SKU10001"

UOM

Y

ITEM UOM

[<br/> "EA"<br/> "CS"<br/>]

AdjustType

Y

Adjustment Type

[<br/> "Adjust Status",<br /> "Adjust Title",<br /> "Adjust GoodsType",<br />]

AdjustFromValue

Y

Adjustment From Value

"AVAILABLE"

AdjustToValue

Y

Adjustment To Value

"ON_HOLD"

AdjustQty

Y

Adjustment Quantity

100

Note

N

Adjustment Note


Reason

Y

Adjustment Reason

[<br/> "Cycle Count",<br/> ""CC Overage",<br /> ""CC Shortage",<br /> ""Physical Count",<br />]

API Return

It returns the status which indicates the operation is correct or not, for more detail, please refer to the following example.

Example

Request

Response